import React, { Component } from "react";

export default class Footer extends Component {
	state = { counter: 0 };

	inc = () => this.setState(prevState => ({ ...prevState, counter: prevState.counter + 1 }));

	dec = () => this.setState(prevState => ({ ...prevState, counter: prevState.counter - 1 }));

	render() {
		const { counter } = this.state;

		return (
			<div>
				I am footer - {counter}
				<button onClick={this.inc}>inc</button>
				<button onClick={this.dec}>dec</button>
			</div>
		);
	}
}
