import React, { Component } from "react";
import axios from "axios";

export default class Item extends Component {
	state = { post: {} };

	async componentDidMount() {
		console.log("this.", this.props);
		const post = await axios({
			url: `https://jsonplaceholder.typicode.com/posts/${this.props.match.params.id}`,
			method: "GET"
		});

		this.setState({ post: post.data });
	}

	render() {
		const { post } = this.state;
		return (
			<div>
				<h1>Item page</h1>

				{post && (
					<div>
						<h1>{post.title}</h1>
						<p>{post.body}</p>
					</div>
				)}
			</div>
		);
	}
}
