import React, { Component } from "react";
import { Link } from "react-router-dom";

export default class Menu extends Component {
	eventHandler = id => {
		console.log("id", id);
		this.props.startLoading();
		this.props.getOnePost(id);
	};

	render() {
		const { posts } = this.props;
		return (
			<div className="main__menu">
				i am nemu component
				<div className="main__list-wrapper">
					{posts.map(post => (
						<div className="main__list-item">
							<h4 className="main__item-title">
								<Link to={`/item/${post.id}`}>{post.title}</Link>
							</h4>
							<p>{post.body}</p>
						</div>
					))}
				</div>
			</div>
		);
	}
}
