export const SCCV = {
	light: {
		"--theme-bgc": "#ede0e0",
		"--theme-color": "#000"
	},
	dark: {
		"--theme-bgc": "#38456f",
		"--theme-color": "#fff"
	}
};

export const setCssVariables = theme => {
	const newTheme = SCCV[theme];
	if (!newTheme) return;

	Object.keys(newTheme).forEach(el => document.documentElement.style.setProperty(el, newTheme[el]));
};
